/* -*- Mode: C; c-basic-offset: 4 -*-
 * pyswfdec - Python bindings for Swfdec.
 * Copyright (C) 2007  Gian Mario Tagliaretti
 *
 *   swfdec-private.h: private structs and such.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

#include <swfdec/swfdec_as_types.h>

/* A boxed type for SwfdecScript until one gets into swfdec itself. */
#ifdef SWFDEC_TYPE_SCRIPT
#define PYSWFDEC_TYPE_SCRIPT SWFDEC_TYPE_SCRIPT
#else
GType pyswfdec_script_get_type (void) G_GNUC_CONST;

#define PYSWFDEC_TYPE_SCRIPT (pyswfdec_script_get_type ())
#endif /* SWFDEC_TYPE_SCRIPT */

/* A boxed type for SwfdecAsValue until one gets into swfdec itself. */
#ifdef SWFDEC_TYPE_AS_VALUE
#define PYSWFDEC_TYPE_AS_VALUE SWFDEC_TYPE_AS_VALUE
#else
GType pyswfdec_as_value_get_type (void) G_GNUC_CONST;

#define PYSWFDEC_TYPE_AS_VALUE (pyswfdec_as_value_get_type ())
#endif /* SWFDEC_TYPE_AS_VALUE */
